/// <reference types="node" />
/// <reference types="node" />
import { Writable, Duplex } from 'stream';
export default class Parser extends Writable {
    nlstream: Duplex;
    /**
     * Initialize IRC parser.
     *
     * @api public
     */
    constructor();
    /**
     * Write `chunk`.
     *
     * @param {Buffer} chunk
     * @api public
     */
    write(chunk: Buffer): boolean;
    /**
     * Parse lines and emit "message" events.
     *
     * @param {String} line
     * @api private
     */
    online(line: String): void;
    /**
     * Emit "end".
     *
     * @api public
     */
    end(): this;
}
